Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class FilteredIterator<T>

    java.lang.Object
      edu.stanford.nlp.util.FilteredIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public class FilteredIterator<T>

extends Object
implements Iterator<T>

Iterator that suppresses items in another iterator based on a filter function.

Author:
  Dan Klein (klein@cs.stanford.edu)

Constructor Summary
`FilteredIterator(Iterator<T> iterator, Filter<T> filter)`

Method Summary
`boolean` | `hasNext()`
`static void` | `main(String[] args)`
`T` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredIterator

    public FilteredIterator(Iterator<T> iterator,
                            Filter<T> filter)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<T>`

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group